MetacatUI - Bug #6235

Remember choice of 'list view' of 'map view' across views and within the data view
11/21/2013 03:56 PM - Lauren Walker

Status: Resolved Start date: 11/21/2013
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.4.0 Spent time: 0.00 hour
Bugzilla-ld:

Description

For example, if you are in the data view and you have the map closed, ie list view, and you click 'My packages' in the user dropdown
list, you are redirected to the data view again, but the map view is shown. Similarly, when you are on the list view and you click on
the title of a package and are redirected to metadata view, you will see the map view when you hit the back button in your browser.

History

#1 - 11/22/2013 02:06 PM - ben leinfelder
- Target version changed from 1.3.0 to 1.4.0

#2 - 12/02/2013 02:37 PM - Lauren Walker

- Status changed from New to Resolved

The app model now stores the 'searchMode' with the default value of 'map'. Storing the mode choice in the app model allows us to remember across
views.
